kr.co.hanwha.hifive.base

## Class BaseFragment

- java.lang.Object
- - android.app.Fragment
  - - kr.co.hanwha.hifive.base.BaseFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener
  Direct Known Subclasses:
    MainDashboardFragment, MainHomeFragment, MainProjectFragment, MainSettingFragment

      public class BaseFragment
      extends android.app.Fragment

  Created by sanghoonkwon on 2018. 1. 25..

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.app.Fragment

      `android.app.Fragment.InstantiationException, android.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private HFLoadingDialog` | `mLoadingDialog`

    - ### Fields inherited from interface android.content.ComponentCallbacks2

      `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseFragment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private java.lang.String` | `getMessage(HanwhaNetworkError hanwhaNetworkError)` Network Error Message
    `private java.lang.String` | `getTitle(HanwhaNetworkError hanwhaNetworkError)` Network Error Title
    `void` | `onCreate(android.os.Bundle savedInstanceState)`
    `void` | `showAlert(HanwhaNetworkError hanwhaNetworkError)`
    `void` | `showAlert(HanwhaNetworkError hanwhaNetworkError, HFDefaultDialog.OnDialogCallback callback)`
    `void` | `showAlert(HanwhaNetworkError hanwhaNetworkError, HFSingleDialog.OnDialogCallback callback)`
    `void` | `showAlert(java.lang.String title, java.lang.String message, HFDefaultDialog.OnDialogCallback callback)`
    `void` | `showAlert(java.lang.String title, java.lang.String message, HFSingleDialog.OnDialogCallback callback)`
    `void` | `showAlert(java.lang.String title, java.lang.String message, int cancel, int confirm, boolean typeB, HFDefaultDialog.OnDialogCallback callback)`
    `void` | `showLoadingDialog(boolean show)`
    `void` | `showToast(int strResource)`
    `void` | `showToast(java.lang.String message)` 토스트 메세지
    `void` | `showToast(java.lang.String message, int iconRes)` 토스트 메세지
    `void` | `showToastAlert(int strResource)`
    `void` | `showToastAlert(java.lang.String message)`
    `void` | `showToastConfirm(int strResource)`
    `void` | `showToastConfirm(java.lang.String message)`
    `void` | `showToastEmpty(int strResource)`
    `void` | `showToastEmpty(java.lang.String message)`
    `void` | `showToastImpossible(int strResource)`
    `void` | `showToastImpossible(java.lang.String message)`

    - ### Methods inherited from class android.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isRemoving, isResumed, isStateSaved, isVisible, onActivityCreated, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onCreateView, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onSaveInstanceState, onStart, onStop, onTrimMemory, onViewCreated, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mLoadingDialog

          private HFLoadingDialog mLoadingDialog

  - ### Constructor Detail

    - #### BaseFragment

          public BaseFragment()

  - ### Method Detail

    - #### onCreate

          public void onCreate(@Nullable
                               android.os.Bundle savedInstanceState)

      Overrides:
        `onCreate` in class `android.app.Fragment`

    - #### showLoadingDialog

          public void showLoadingDialog(boolean show)

    - #### showToast

          public void showToast(java.lang.String message)

      토스트 메세지
      Parameters:
        `message` - 메세지

    - #### showToast

          public void showToast(java.lang.String message,
                                int iconRes)

      토스트 메세지
      Parameters:
        `message` - 메세지
        `iconRes` - 아이콘 이미지

    - #### showToast

          public void showToast(int strResource)

      Parameters:
        `strResource` - String resource

    - #### showToastAlert

          public void showToastAlert(int strResource)

    - #### showToastEmpty

          public void showToastEmpty(int strResource)

    - #### showToastConfirm

          public void showToastConfirm(int strResource)

    - #### showToastImpossible

          public void showToastImpossible(int strResource)

    - #### showToastAlert

          public void showToastAlert(java.lang.String message)

    - #### showToastEmpty

          public void showToastEmpty(java.lang.String message)

    - #### showToastConfirm

          public void showToastConfirm(java.lang.String message)

    - #### showToastImpossible

          public void showToastImpossible(java.lang.String message)

    - #### showAlert

          public void showAlert(@NonNull
                                HanwhaNetworkError hanwhaNetworkError)

    - #### showAlert

          public void showAlert(@NonNull
                                HanwhaNetworkError hanwhaNetworkError,
                                HFSingleDialog.OnDialogCallback callback)

    - #### showAlert

          public void showAlert(@NonNull
                                HanwhaNetworkError hanwhaNetworkError,
                                HFDefaultDialog.OnDialogCallback callback)

    - #### showAlert

          public void showAlert(@NonNull
                                java.lang.String title,
                                @NonNull
                                java.lang.String message,
                                HFSingleDialog.OnDialogCallback callback)

    - #### showAlert

          public void showAlert(@NonNull
                                java.lang.String title,
                                @NonNull
                                java.lang.String message,
                                HFDefaultDialog.OnDialogCallback callback)

    - #### showAlert

          public void showAlert(@NonNull
                                java.lang.String title,
                                @NonNull
                                java.lang.String message,
                                @Nullable
                                int cancel,
                                @Nullable
                                int confirm,
                                boolean typeB,
                                HFDefaultDialog.OnDialogCallback callback)

    - #### getTitle

          private java.lang.String getTitle(HanwhaNetworkError hanwhaNetworkError)

      Network Error Title
      Parameters:
        `hanwhaNetworkError` - Network Error
      Returns:
        String

    - #### getMessage

          private java.lang.String getMessage(HanwhaNetworkError hanwhaNetworkError)

      Network Error Message
      Parameters:
        `hanwhaNetworkError` - Network Error
      Returns:
        String